import { themeStore } from "@/stores/theme.store";
import { useEffect } from "react";
import { useStore } from "zustand";

const ThemeProvider = () => {
  const theme = useStore(themeStore, (i) => i.theme);
  const isDarkMode = useStore(themeStore, (i) => i.isDarkMode);

  useEffect(() => {
    document.documentElement.setAttribute("data-theme", theme);
    document.documentElement.classList.toggle("dark", isDarkMode);
  }, [theme, isDarkMode]);

  return null;
};

export default ThemeProvider;
