import { cn } from "@/lib/utils";
import { themeStore } from "@/stores/theme.store";
import { Console } from "console-feed";
import { Message } from "console-feed/lib/definitions/Component";
import { useStore } from "zustand";

type ConsoleLogsProps = {
  logs: Message[];
  className?: string;
};

const ConsoleLogs = ({ logs, className }: ConsoleLogsProps) => {
  const colorScheme = useStore(themeStore, (i) =>
    i.isDarkMode ? "dark" : "light"
  );

  if (!logs?.length) {
    return (
      <div className={cn("flex items-center justify-center p-4", className)}>
        <p className="text-center">Tidak ada log.</p>
      </div>
    );
  }

  return (
    <div className={cn("console-feed overflow-y-auto", className)}>
      <Console logs={logs} variant={colorScheme} />
    </div>
  );
};

export default ConsoleLogs;
