import { themes, Themes } from "@/app/themes";
import { createStore } from "zustand";
import { persist } from "zustand/middleware";

export const themeStore = createStore(
  persist(
    () => ({
      theme: "light" as Themes,
      isDarkMode: false,
    }),
    {
      name: "theme",
    }
  )
);

export const setTheme = (theme: Themes) => {
  const isDarkMode = themes.find((t) => t.name === theme)?.dark ?? false;
  themeStore.setState({ theme, isDarkMode });
};
